Description

The web tester is indicating that mn.describe is not returning a DescribeResponse for the new IARC member node that's in

development phase.

Is this a code issue or config?  Is IARC using the latest GMN?

the IARC MN baseurl: https://trusty.iarc.uaf.edu/mn/

History

#1 - 2014-11-24 18:45 - Mark Servilla

- Status changed from New to In Progress

Mea culpa - the following is a response to an entirely different and not asked question; note to self - get more sleep.

-Regarding "Is this a code issue or config?", please explain further what the expected response should be when querying for the node capabilities.-

-According to the V1.2 specification (https://releases.dataone.org/online/api-documentation-v1.2.0/apis/MN_APIs.html#MNCore.getCapabilities) for

MNCore.getCapabilities(), the method should return a Types.Node object (presumably in XML format) when using REST end points GET /  and  GET

/node. When querying for IARC's node capabilities using either REST end point (https://trusty.iarc.uaf.edu/mn/v1/ or 

https://trusty.iarc.uaf.edu/mn/v1/node), the following is returned:-

<?xml version="1.0"?>

urn:node:mnTestIARC

IARC Data Archive

The International Arctic Research Center (IARC) Data Archive, a long term repository for Arctic data.

 https://trusty.iarc.uaf.edu/mn

10995116277760

CN=urn:node:mnTestIARC,DC=dataone,DC=org

CN=James Long A16841,O=Google,C=US,DC=cilogon,DC=org

/ns1:node

-Regarding "Is IARC using the latest GMN?", I believe so, but will confirm at a later date.-
#2 - 2014-11-25 18:53 - Mark Servilla

Regarding "Is this a code issue or config?"

Based on the specification for v1.2 MNRead.describe (

https://releases.dataone.org/online/api-documentation-v1.2.0/apis/MN_APIs.html#MNRead.describe) and the types.DescribeResponse (

https://releases.dataone.org/online/api-documentation-v1.2.0/apis/Types.html#Types.DescribeResponse), the IARC MN is returning what appears to

be the correct response:

curl -i -X HEAD https://trusty.iarc.uaf.edu/mn/v1/object/dcx_62a112d0-876d-41fd-b882-499a62210912_0

HTTP/1.1 200 OK

Date: Tue, 25 Nov 2014 18:37:45 GMT

Server: Apache/2.4.7 (Ubuntu)

DataONE-SerialVersion: 2

DataONE-Checksum: SHA-1,1c38dc799c1c804a17808899ba536b78088ec343

DataONE-formatId: http://www.loc.gov/standards/sru/cql/contextSets/dcx/dcx.xsd

Content-Length: 2721

Last-Modified: Thu, 01 Jan 1970 00:00:00 GMT

Content-Type: application/octet-stream

curl: (18) transfer closed with 2721 bytes remaining to read

I do note that the example provided in the MNRead.Describe document shows the object format header field as "DataONE-ObjectFormat", where as

the Types.DescribeResponse shows the object format header field as "DataONE-formatId"; the later is how GMN responds.

Regarding "Is IARC using the latest GMN?" - yes, running on Ubuntu 14.04.

#3 - 2014-11-25 19:38 - Mark Servilla

GMN does not respond correctly when reporting that an object not found exception occurred when using HEAD for MNRead.describe:

curl -i -X HEAD https://trusty.iarc.uaf.edu/mn/v1/object/blahblahblah

HTTP/1.1 404 NOT FOUND

Date: Tue, 25 Nov 2014 19:30:30 GMT

Server: Apache/2.4.7 (Ubuntu)

Content-Type: application/xml

The appropriate response should apparently (it is not, however, clear in the v1.2 MN API documentation as to what the exception header field name

should be) contain exception header fields:

DataONE-Exception-Name: NotFound

DataONE-Exception-DetailCode: 1380

DataONE-Exception-Description: The specified object does not exist on this node.

DataONE-Exception-PID: blahblahblah
#4 - 2015-01-05 18:43 - Mark Servilla

- Assignee changed from Mark Servilla to Mark Flynn

#5 - 2015-01-19 22:06 - Dave Vieglais

- Category deleted (d1_mn_GMN)

- Project changed from Infrastructure to Python GMN

#6 - 2016-04-21 22:37 - Roger Dahl

- Assignee changed from Mark Flynn to Roger Dahl

- % Done changed from 0 to 30
